# Count Documents

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Count Documents"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/indexes/{index_name}/documents-count"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Counts the number of documents in the pipeline.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline.","in":"path","name":"index_name","required":true,"schema":{"description":"The name of the pipeline.","title":"Index Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"count":{"description":"The total number of documents created for this pipeline.","title":"Total Documents","type":"integer"}},"required":["count"],"title":"DCDocumentCount","type":"object"}}},"description":"Documents retrieved successfully."},"404":{"description":"The index was not found in the workspace."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
